Bug 213469 - audio/libmp3splt: Fix ID3 option
Summary: audio/libmp3splt: Fix ID3 option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo Egea Gondolfo
URL: https://svnweb.freebsd.org/changeset/...
Keywords: easy, needs-qa, regression
Depends on:
Blocks:
 
Reported: 2016-10-14 04:03 UTC by Anton Yuzhaninov
Modified: 2016-10-20 02:33 UTC (History)
2 users (show)

See Also:
citrin+pr: maintainer-feedback+
koobs: maintainer-feedback? (danilo)
koobs: merge-quarterly+


Attachments
fix (630 bytes, patch)
2016-10-14 04:03 UTC, Anton Yuzhaninov
citrin+pr: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Yuzhaninov 2016-10-14 04:03:00 UTC
Created attachment 175730 [details]
fix

Option ID3 was broken in
https://svnweb.freebsd.org/changeset/ports/374675
while converting .if/.else/.endif to option helpers.

Attached patch will fix the option.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-10-14 09:37:09 UTC
Thank you Anton.

Please set maintainer-approval flag to + on attachments for ports you are maintainer of. Attachment -> Details -> maintainer-approval [+]

CC original committer (danilo)

Also needs to be MFH'd.
Comment 2 commit-hook freebsd_committer 2016-10-14 14:35:13 UTC
A commit references this bug:

Author: danilo
Date: Fri Oct 14 14:34:43 UTC 2016
New revision: 423972
URL: https://svnweb.freebsd.org/changeset/ports/423972

Log:
  - Fix ID3 option selection

  PR:		213469
  Submitted by:	Anton Yuzhaninov <citrin+pr@citrin.ru>
  MFH:		2016Q4

Changes:
  head/audio/libmp3splt/Makefile
Comment 3 commit-hook freebsd_committer 2016-10-18 22:21:17 UTC
A commit references this bug:

Author: danilo
Date: Tue Oct 18 22:20:58 UTC 2016
New revision: 424221
URL: https://svnweb.freebsd.org/changeset/ports/424221

Log:
  MFH: r423972

  - Fix ID3 option selection

  PR:		213469
  Submitted by:	Anton Yuzhaninov <citrin+pr@citrin.ru>

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/audio/libmp3splt/Makefile
Comment 4 Danilo Egea Gondolfo freebsd_committer 2016-10-20 00:42:32 UTC
Committed. Thanks!